package cn.superdesk.uniorder.dao.entity.thirdpart.jd;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingUnifiedSupplierOrderJdCheckUpReportExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public AccountingUnifiedSupplierOrderJdCheckUpReportExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
    accounting_unified_supplier_order_jd_check_up_report
     *
     * @mbg.generated Mon Jul 04 18:14:40 CST 2022
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNull() {
            addCriterion("batch_id is null");
            return (Criteria) this;
        }

        public Criteria andBatchIdIsNotNull() {
            addCriterion("batch_id is not null");
            return (Criteria) this;
        }

        public Criteria andBatchIdEqualTo(String value) {
            addCriterion("batch_id =", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotEqualTo(String value) {
            addCriterion("batch_id <>", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThan(String value) {
            addCriterion("batch_id >", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdGreaterThanOrEqualTo(String value) {
            addCriterion("batch_id >=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThan(String value) {
            addCriterion("batch_id <", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLessThanOrEqualTo(String value) {
            addCriterion("batch_id <=", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdLike(String value) {
            addCriterion("batch_id like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotLike(String value) {
            addCriterion("batch_id not like", value, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdIn(List<String> values) {
            addCriterion("batch_id in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotIn(List<String> values) {
            addCriterion("batch_id not in", values, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdBetween(String value1, String value2) {
            addCriterion("batch_id between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andBatchIdNotBetween(String value1, String value2) {
            addCriterion("batch_id not between", value1, value2, "batchId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdIsNull() {
            addCriterion("accounting_unified_supplier_order_jd_id is null");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdIsNotNull() {
            addCriterion("accounting_unified_supplier_order_jd_id is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdEqualTo(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id =", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdNotEqualTo(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id <>", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdGreaterThan(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id >", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdGreaterThanOrEqualTo(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id >=", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdLessThan(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id <", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdLessThanOrEqualTo(Long value) {
            addCriterion("accounting_unified_supplier_order_jd_id <=", value, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdIn(List<Long> values) {
            addCriterion("accounting_unified_supplier_order_jd_id in", values, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdNotIn(List<Long> values) {
            addCriterion("accounting_unified_supplier_order_jd_id not in", values, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdBetween(Long value1, Long value2) {
            addCriterion("accounting_unified_supplier_order_jd_id between", value1, value2, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andAccountingUnifiedSupplierOrderJdIdNotBetween(Long value1, Long value2) {
            addCriterion("accounting_unified_supplier_order_jd_id not between", value1, value2, "accountingUnifiedSupplierOrderJdId");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnIsNull() {
            addCriterion("jd_accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnIsNotNull() {
            addCriterion("jd_accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnEqualTo(String value) {
            addCriterion("jd_accounting_order_sn =", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnNotEqualTo(String value) {
            addCriterion("jd_accounting_order_sn <>", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnGreaterThan(String value) {
            addCriterion("jd_accounting_order_sn >", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("jd_accounting_order_sn >=", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnLessThan(String value) {
            addCriterion("jd_accounting_order_sn <", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("jd_accounting_order_sn <=", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnLike(String value) {
            addCriterion("jd_accounting_order_sn like", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnNotLike(String value) {
            addCriterion("jd_accounting_order_sn not like", value, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnIn(List<String> values) {
            addCriterion("jd_accounting_order_sn in", values, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnNotIn(List<String> values) {
            addCriterion("jd_accounting_order_sn not in", values, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("jd_accounting_order_sn between", value1, value2, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("jd_accounting_order_sn not between", value1, value2, "jdAccountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnIsNull() {
            addCriterion("jd_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnIsNotNull() {
            addCriterion("jd_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnEqualTo(String value) {
            addCriterion("jd_order_sn =", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnNotEqualTo(String value) {
            addCriterion("jd_order_sn <>", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnGreaterThan(String value) {
            addCriterion("jd_order_sn >", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("jd_order_sn >=", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnLessThan(String value) {
            addCriterion("jd_order_sn <", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnLessThanOrEqualTo(String value) {
            addCriterion("jd_order_sn <=", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnLike(String value) {
            addCriterion("jd_order_sn like", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnNotLike(String value) {
            addCriterion("jd_order_sn not like", value, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnIn(List<String> values) {
            addCriterion("jd_order_sn in", values, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnNotIn(List<String> values) {
            addCriterion("jd_order_sn not in", values, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnBetween(String value1, String value2) {
            addCriterion("jd_order_sn between", value1, value2, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderSnNotBetween(String value1, String value2) {
            addCriterion("jd_order_sn not between", value1, value2, "jdOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnIsNull() {
            addCriterion("jd_original_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnIsNotNull() {
            addCriterion("jd_original_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnEqualTo(String value) {
            addCriterion("jd_original_order_sn =", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnNotEqualTo(String value) {
            addCriterion("jd_original_order_sn <>", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnGreaterThan(String value) {
            addCriterion("jd_original_order_sn >", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("jd_original_order_sn >=", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnLessThan(String value) {
            addCriterion("jd_original_order_sn <", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnLessThanOrEqualTo(String value) {
            addCriterion("jd_original_order_sn <=", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnLike(String value) {
            addCriterion("jd_original_order_sn like", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnNotLike(String value) {
            addCriterion("jd_original_order_sn not like", value, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnIn(List<String> values) {
            addCriterion("jd_original_order_sn in", values, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnNotIn(List<String> values) {
            addCriterion("jd_original_order_sn not in", values, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnBetween(String value1, String value2) {
            addCriterion("jd_original_order_sn between", value1, value2, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOriginalOrderSnNotBetween(String value1, String value2) {
            addCriterion("jd_original_order_sn not between", value1, value2, "jdOriginalOrderSn");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountIsNull() {
            addCriterion("jd_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountIsNotNull() {
            addCriterion("jd_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountEqualTo(BigDecimal value) {
            addCriterion("jd_order_amount =", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("jd_order_amount <>", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("jd_order_amount >", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_order_amount >=", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountLessThan(BigDecimal value) {
            addCriterion("jd_order_amount <", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_order_amount <=", value, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountIn(List<BigDecimal> values) {
            addCriterion("jd_order_amount in", values, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("jd_order_amount not in", values, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_order_amount between", value1, value2, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_order_amount not between", value1, value2, "jdOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountIsNull() {
            addCriterion("whole_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountIsNotNull() {
            addCriterion("whole_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountEqualTo(BigDecimal value) {
            addCriterion("whole_order_amount =", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("whole_order_amount <>", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("whole_order_amount >", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("whole_order_amount >=", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountLessThan(BigDecimal value) {
            addCriterion("whole_order_amount <", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("whole_order_amount <=", value, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountIn(List<BigDecimal> values) {
            addCriterion("whole_order_amount in", values, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("whole_order_amount not in", values, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("whole_order_amount between", value1, value2, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andWholeOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("whole_order_amount not between", value1, value2, "wholeOrderAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountIsNull() {
            addCriterion("jd_repayment_amount is null");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountIsNotNull() {
            addCriterion("jd_repayment_amount is not null");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountEqualTo(BigDecimal value) {
            addCriterion("jd_repayment_amount =", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountNotEqualTo(BigDecimal value) {
            addCriterion("jd_repayment_amount <>", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountGreaterThan(BigDecimal value) {
            addCriterion("jd_repayment_amount >", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_repayment_amount >=", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountLessThan(BigDecimal value) {
            addCriterion("jd_repayment_amount <", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_repayment_amount <=", value, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountIn(List<BigDecimal> values) {
            addCriterion("jd_repayment_amount in", values, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountNotIn(List<BigDecimal> values) {
            addCriterion("jd_repayment_amount not in", values, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_repayment_amount between", value1, value2, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRepaymentAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_repayment_amount not between", value1, value2, "jdRepaymentAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountIsNull() {
            addCriterion("jd_refund_amount is null");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountIsNotNull() {
            addCriterion("jd_refund_amount is not null");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountEqualTo(BigDecimal value) {
            addCriterion("jd_refund_amount =", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountNotEqualTo(BigDecimal value) {
            addCriterion("jd_refund_amount <>", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountGreaterThan(BigDecimal value) {
            addCriterion("jd_refund_amount >", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_refund_amount >=", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountLessThan(BigDecimal value) {
            addCriterion("jd_refund_amount <", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_refund_amount <=", value, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountIn(List<BigDecimal> values) {
            addCriterion("jd_refund_amount in", values, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountNotIn(List<BigDecimal> values) {
            addCriterion("jd_refund_amount not in", values, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_refund_amount between", value1, value2, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdRefundAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_refund_amount not between", value1, value2, "jdRefundAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountIsNull() {
            addCriterion("jd_out_standing_amount is null");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountIsNotNull() {
            addCriterion("jd_out_standing_amount is not null");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountEqualTo(BigDecimal value) {
            addCriterion("jd_out_standing_amount =", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountNotEqualTo(BigDecimal value) {
            addCriterion("jd_out_standing_amount <>", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountGreaterThan(BigDecimal value) {
            addCriterion("jd_out_standing_amount >", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_out_standing_amount >=", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountLessThan(BigDecimal value) {
            addCriterion("jd_out_standing_amount <", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("jd_out_standing_amount <=", value, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountIn(List<BigDecimal> values) {
            addCriterion("jd_out_standing_amount in", values, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountNotIn(List<BigDecimal> values) {
            addCriterion("jd_out_standing_amount not in", values, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_out_standing_amount between", value1, value2, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOutStandingAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("jd_out_standing_amount not between", value1, value2, "jdOutStandingAmount");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateIsNull() {
            addCriterion("jd_order_state is null");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateIsNotNull() {
            addCriterion("jd_order_state is not null");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateEqualTo(Integer value) {
            addCriterion("jd_order_state =", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNotEqualTo(Integer value) {
            addCriterion("jd_order_state <>", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateGreaterThan(Integer value) {
            addCriterion("jd_order_state >", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("jd_order_state >=", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateLessThan(Integer value) {
            addCriterion("jd_order_state <", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateLessThanOrEqualTo(Integer value) {
            addCriterion("jd_order_state <=", value, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateIn(List<Integer> values) {
            addCriterion("jd_order_state in", values, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNotIn(List<Integer> values) {
            addCriterion("jd_order_state not in", values, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateBetween(Integer value1, Integer value2) {
            addCriterion("jd_order_state between", value1, value2, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNotBetween(Integer value1, Integer value2) {
            addCriterion("jd_order_state not between", value1, value2, "jdOrderState");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameIsNull() {
            addCriterion("jd_order_state_name is null");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameIsNotNull() {
            addCriterion("jd_order_state_name is not null");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameEqualTo(String value) {
            addCriterion("jd_order_state_name =", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameNotEqualTo(String value) {
            addCriterion("jd_order_state_name <>", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameGreaterThan(String value) {
            addCriterion("jd_order_state_name >", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameGreaterThanOrEqualTo(String value) {
            addCriterion("jd_order_state_name >=", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameLessThan(String value) {
            addCriterion("jd_order_state_name <", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameLessThanOrEqualTo(String value) {
            addCriterion("jd_order_state_name <=", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameLike(String value) {
            addCriterion("jd_order_state_name like", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameNotLike(String value) {
            addCriterion("jd_order_state_name not like", value, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameIn(List<String> values) {
            addCriterion("jd_order_state_name in", values, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameNotIn(List<String> values) {
            addCriterion("jd_order_state_name not in", values, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameBetween(String value1, String value2) {
            addCriterion("jd_order_state_name between", value1, value2, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andJdOrderStateNameNotBetween(String value1, String value2) {
            addCriterion("jd_order_state_name not between", value1, value2, "jdOrderStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateIsNull() {
            addCriterion("were_accounted_state is null");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateIsNotNull() {
            addCriterion("were_accounted_state is not null");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateEqualTo(Integer value) {
            addCriterion("were_accounted_state =", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNotEqualTo(Integer value) {
            addCriterion("were_accounted_state <>", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateGreaterThan(Integer value) {
            addCriterion("were_accounted_state >", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("were_accounted_state >=", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateLessThan(Integer value) {
            addCriterion("were_accounted_state <", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateLessThanOrEqualTo(Integer value) {
            addCriterion("were_accounted_state <=", value, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateIn(List<Integer> values) {
            addCriterion("were_accounted_state in", values, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNotIn(List<Integer> values) {
            addCriterion("were_accounted_state not in", values, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateBetween(Integer value1, Integer value2) {
            addCriterion("were_accounted_state between", value1, value2, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNotBetween(Integer value1, Integer value2) {
            addCriterion("were_accounted_state not between", value1, value2, "wereAccountedState");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameIsNull() {
            addCriterion("were_accounted_state_name is null");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameIsNotNull() {
            addCriterion("were_accounted_state_name is not null");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameEqualTo(String value) {
            addCriterion("were_accounted_state_name =", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameNotEqualTo(String value) {
            addCriterion("were_accounted_state_name <>", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameGreaterThan(String value) {
            addCriterion("were_accounted_state_name >", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameGreaterThanOrEqualTo(String value) {
            addCriterion("were_accounted_state_name >=", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameLessThan(String value) {
            addCriterion("were_accounted_state_name <", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameLessThanOrEqualTo(String value) {
            addCriterion("were_accounted_state_name <=", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameLike(String value) {
            addCriterion("were_accounted_state_name like", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameNotLike(String value) {
            addCriterion("were_accounted_state_name not like", value, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameIn(List<String> values) {
            addCriterion("were_accounted_state_name in", values, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameNotIn(List<String> values) {
            addCriterion("were_accounted_state_name not in", values, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameBetween(String value1, String value2) {
            addCriterion("were_accounted_state_name between", value1, value2, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andWereAccountedStateNameNotBetween(String value1, String value2) {
            addCriterion("were_accounted_state_name not between", value1, value2, "wereAccountedStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateIsNull() {
            addCriterion("after_sale_state is null");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateIsNotNull() {
            addCriterion("after_sale_state is not null");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateEqualTo(Integer value) {
            addCriterion("after_sale_state =", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNotEqualTo(Integer value) {
            addCriterion("after_sale_state <>", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateGreaterThan(Integer value) {
            addCriterion("after_sale_state >", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("after_sale_state >=", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateLessThan(Integer value) {
            addCriterion("after_sale_state <", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateLessThanOrEqualTo(Integer value) {
            addCriterion("after_sale_state <=", value, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateIn(List<Integer> values) {
            addCriterion("after_sale_state in", values, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNotIn(List<Integer> values) {
            addCriterion("after_sale_state not in", values, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateBetween(Integer value1, Integer value2) {
            addCriterion("after_sale_state between", value1, value2, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNotBetween(Integer value1, Integer value2) {
            addCriterion("after_sale_state not between", value1, value2, "afterSaleState");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameIsNull() {
            addCriterion("after_sale_state_name is null");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameIsNotNull() {
            addCriterion("after_sale_state_name is not null");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameEqualTo(String value) {
            addCriterion("after_sale_state_name =", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameNotEqualTo(String value) {
            addCriterion("after_sale_state_name <>", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameGreaterThan(String value) {
            addCriterion("after_sale_state_name >", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameGreaterThanOrEqualTo(String value) {
            addCriterion("after_sale_state_name >=", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameLessThan(String value) {
            addCriterion("after_sale_state_name <", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameLessThanOrEqualTo(String value) {
            addCriterion("after_sale_state_name <=", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameLike(String value) {
            addCriterion("after_sale_state_name like", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameNotLike(String value) {
            addCriterion("after_sale_state_name not like", value, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameIn(List<String> values) {
            addCriterion("after_sale_state_name in", values, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameNotIn(List<String> values) {
            addCriterion("after_sale_state_name not in", values, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameBetween(String value1, String value2) {
            addCriterion("after_sale_state_name between", value1, value2, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andAfterSaleStateNameNotBetween(String value1, String value2) {
            addCriterion("after_sale_state_name not between", value1, value2, "afterSaleStateName");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNull() {
            addCriterion("order_sn is null");
            return (Criteria) this;
        }

        public Criteria andOrderSnIsNotNull() {
            addCriterion("order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andOrderSnEqualTo(String value) {
            addCriterion("order_sn =", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotEqualTo(String value) {
            addCriterion("order_sn <>", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThan(String value) {
            addCriterion("order_sn >", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("order_sn >=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThan(String value) {
            addCriterion("order_sn <", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLessThanOrEqualTo(String value) {
            addCriterion("order_sn <=", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnLike(String value) {
            addCriterion("order_sn like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotLike(String value) {
            addCriterion("order_sn not like", value, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnIn(List<String> values) {
            addCriterion("order_sn in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotIn(List<String> values) {
            addCriterion("order_sn not in", values, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnBetween(String value1, String value2) {
            addCriterion("order_sn between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderSnNotBetween(String value1, String value2) {
            addCriterion("order_sn not between", value1, value2, "orderSn");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNull() {
            addCriterion("order_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIsNotNull() {
            addCriterion("order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderAmountEqualTo(BigDecimal value) {
            addCriterion("order_amount =", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_amount <>", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("order_amount >", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount >=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThan(BigDecimal value) {
            addCriterion("order_amount <", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_amount <=", value, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountIn(List<BigDecimal> values) {
            addCriterion("order_amount in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_amount not in", values, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_amount not between", value1, value2, "orderAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNull() {
            addCriterion("order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIsNotNull() {
            addCriterion("order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount =", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <>", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("order_cost_amount >", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount >=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("order_cost_amount <", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("order_cost_amount <=", value, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("order_cost_amount not in", values, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("order_cost_amount not between", value1, value2, "orderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIsNull() {
            addCriterion("refund_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIsNotNull() {
            addCriterion("refund_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount =", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount <>", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_order_amount >", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount >=", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountLessThan(BigDecimal value) {
            addCriterion("refund_order_amount <", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_amount <=", value, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountIn(List<BigDecimal> values) {
            addCriterion("refund_order_amount in", values, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_order_amount not in", values, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_amount between", value1, value2, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_amount not between", value1, value2, "refundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIsNull() {
            addCriterion("refund_order_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIsNotNull() {
            addCriterion("refund_order_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount =", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount <>", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_order_cost_amount >", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount >=", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountLessThan(BigDecimal value) {
            addCriterion("refund_order_cost_amount <", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_order_cost_amount <=", value, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountIn(List<BigDecimal> values) {
            addCriterion("refund_order_cost_amount in", values, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_order_cost_amount not in", values, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_cost_amount between", value1, value2, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundOrderCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_order_cost_amount not between", value1, value2, "refundOrderCostAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNull() {
            addCriterion("transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIsNotNull() {
            addCriterion("transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTransportAmountEqualTo(BigDecimal value) {
            addCriterion("transport_amount =", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("transport_amount <>", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("transport_amount >", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount >=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThan(BigDecimal value) {
            addCriterion("transport_amount <", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_amount <=", value, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountIn(List<BigDecimal> values) {
            addCriterion("transport_amount in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("transport_amount not in", values, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_amount not between", value1, value2, "transportAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIsNull() {
            addCriterion("transport_merchant_assume_amount is null");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIsNotNull() {
            addCriterion("transport_merchant_assume_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount =", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <>", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountGreaterThan(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount >", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount >=", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountLessThan(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("transport_merchant_assume_amount <=", value, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountIn(List<BigDecimal> values) {
            addCriterion("transport_merchant_assume_amount in", values, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotIn(List<BigDecimal> values) {
            addCriterion("transport_merchant_assume_amount not in", values, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_merchant_assume_amount between", value1, value2, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andTransportMerchantAssumeAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("transport_merchant_assume_amount not between", value1, value2, "transportMerchantAssumeAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNull() {
            addCriterion("goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIsNotNull() {
            addCriterion("goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("goods_amount =", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_amount <>", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_amount >", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount >=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThan(BigDecimal value) {
            addCriterion("goods_amount <", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_amount <=", value, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("goods_amount in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_amount not in", values, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_amount not between", value1, value2, "goodsAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNull() {
            addCriterion("goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIsNotNull() {
            addCriterion("goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount =", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <>", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("goods_cost_amount >", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount >=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("goods_cost_amount <", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("goods_cost_amount <=", value, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("goods_cost_amount not in", values, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("goods_cost_amount not between", value1, value2, "goodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNull() {
            addCriterion("refund_goods_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIsNotNull() {
            addCriterion("refund_goods_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount =", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <>", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_amount >", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount >=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_amount <", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_amount <=", value, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_amount not in", values, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_amount not between", value1, value2, "refundGoodsAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNull() {
            addCriterion("refund_goods_cost_amount is null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIsNotNull() {
            addCriterion("refund_goods_cost_amount is not null");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount =", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <>", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount >=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThan(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("refund_goods_cost_amount <=", value, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotIn(List<BigDecimal> values) {
            addCriterion("refund_goods_cost_amount not in", values, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andRefundGoodsCostAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("refund_goods_cost_amount not between", value1, value2, "refundGoodsCostAmount");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNull() {
            addCriterion("order_state is null");
            return (Criteria) this;
        }

        public Criteria andOrderStateIsNotNull() {
            addCriterion("order_state is not null");
            return (Criteria) this;
        }

        public Criteria andOrderStateEqualTo(Integer value) {
            addCriterion("order_state =", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotEqualTo(Integer value) {
            addCriterion("order_state <>", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThan(Integer value) {
            addCriterion("order_state >", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_state >=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThan(Integer value) {
            addCriterion("order_state <", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateLessThanOrEqualTo(Integer value) {
            addCriterion("order_state <=", value, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateIn(List<Integer> values) {
            addCriterion("order_state in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotIn(List<Integer> values) {
            addCriterion("order_state not in", values, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateBetween(Integer value1, Integer value2) {
            addCriterion("order_state between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andOrderStateNotBetween(Integer value1, Integer value2) {
            addCriterion("order_state not between", value1, value2, "orderState");
            return (Criteria) this;
        }

        public Criteria andCompletStateIsNull() {
            addCriterion("complet_state is null");
            return (Criteria) this;
        }

        public Criteria andCompletStateIsNotNull() {
            addCriterion("complet_state is not null");
            return (Criteria) this;
        }

        public Criteria andCompletStateEqualTo(Integer value) {
            addCriterion("complet_state =", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotEqualTo(Integer value) {
            addCriterion("complet_state <>", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateGreaterThan(Integer value) {
            addCriterion("complet_state >", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateGreaterThanOrEqualTo(Integer value) {
            addCriterion("complet_state >=", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateLessThan(Integer value) {
            addCriterion("complet_state <", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateLessThanOrEqualTo(Integer value) {
            addCriterion("complet_state <=", value, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateIn(List<Integer> values) {
            addCriterion("complet_state in", values, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotIn(List<Integer> values) {
            addCriterion("complet_state not in", values, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateBetween(Integer value1, Integer value2) {
            addCriterion("complet_state between", value1, value2, "completState");
            return (Criteria) this;
        }

        public Criteria andCompletStateNotBetween(Integer value1, Integer value2) {
            addCriterion("complet_state not between", value1, value2, "completState");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andProcessResultIsNull() {
            addCriterion("process_result is null");
            return (Criteria) this;
        }

        public Criteria andProcessResultIsNotNull() {
            addCriterion("process_result is not null");
            return (Criteria) this;
        }

        public Criteria andProcessResultEqualTo(Integer value) {
            addCriterion("process_result =", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultNotEqualTo(Integer value) {
            addCriterion("process_result <>", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultGreaterThan(Integer value) {
            addCriterion("process_result >", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultGreaterThanOrEqualTo(Integer value) {
            addCriterion("process_result >=", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultLessThan(Integer value) {
            addCriterion("process_result <", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultLessThanOrEqualTo(Integer value) {
            addCriterion("process_result <=", value, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultIn(List<Integer> values) {
            addCriterion("process_result in", values, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultNotIn(List<Integer> values) {
            addCriterion("process_result not in", values, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultBetween(Integer value1, Integer value2) {
            addCriterion("process_result between", value1, value2, "processResult");
            return (Criteria) this;
        }

        public Criteria andProcessResultNotBetween(Integer value1, Integer value2) {
            addCriterion("process_result not between", value1, value2, "processResult");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountIsNull() {
            addCriterion("compared_whole_amount is null");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountIsNotNull() {
            addCriterion("compared_whole_amount is not null");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountEqualTo(BigDecimal value) {
            addCriterion("compared_whole_amount =", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountNotEqualTo(BigDecimal value) {
            addCriterion("compared_whole_amount <>", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountGreaterThan(BigDecimal value) {
            addCriterion("compared_whole_amount >", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_whole_amount >=", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountLessThan(BigDecimal value) {
            addCriterion("compared_whole_amount <", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_whole_amount <=", value, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountIn(List<BigDecimal> values) {
            addCriterion("compared_whole_amount in", values, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountNotIn(List<BigDecimal> values) {
            addCriterion("compared_whole_amount not in", values, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_whole_amount between", value1, value2, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedWholeAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_whole_amount not between", value1, value2, "comparedWholeAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountIsNull() {
            addCriterion("compared_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountIsNotNull() {
            addCriterion("compared_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountEqualTo(BigDecimal value) {
            addCriterion("compared_order_amount =", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("compared_order_amount <>", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("compared_order_amount >", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_order_amount >=", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountLessThan(BigDecimal value) {
            addCriterion("compared_order_amount <", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_order_amount <=", value, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountIn(List<BigDecimal> values) {
            addCriterion("compared_order_amount in", values, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("compared_order_amount not in", values, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_order_amount between", value1, value2, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_order_amount not between", value1, value2, "comparedOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountIsNull() {
            addCriterion("compared_refund_order_amount is null");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountIsNotNull() {
            addCriterion("compared_refund_order_amount is not null");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountEqualTo(BigDecimal value) {
            addCriterion("compared_refund_order_amount =", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountNotEqualTo(BigDecimal value) {
            addCriterion("compared_refund_order_amount <>", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountGreaterThan(BigDecimal value) {
            addCriterion("compared_refund_order_amount >", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_refund_order_amount >=", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountLessThan(BigDecimal value) {
            addCriterion("compared_refund_order_amount <", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_refund_order_amount <=", value, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountIn(List<BigDecimal> values) {
            addCriterion("compared_refund_order_amount in", values, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountNotIn(List<BigDecimal> values) {
            addCriterion("compared_refund_order_amount not in", values, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_refund_order_amount between", value1, value2, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedRefundOrderAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_refund_order_amount not between", value1, value2, "comparedRefundOrderAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountIsNull() {
            addCriterion("compared_transport_amount is null");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountIsNotNull() {
            addCriterion("compared_transport_amount is not null");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountEqualTo(BigDecimal value) {
            addCriterion("compared_transport_amount =", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountNotEqualTo(BigDecimal value) {
            addCriterion("compared_transport_amount <>", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountGreaterThan(BigDecimal value) {
            addCriterion("compared_transport_amount >", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_transport_amount >=", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountLessThan(BigDecimal value) {
            addCriterion("compared_transport_amount <", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("compared_transport_amount <=", value, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountIn(List<BigDecimal> values) {
            addCriterion("compared_transport_amount in", values, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountNotIn(List<BigDecimal> values) {
            addCriterion("compared_transport_amount not in", values, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_transport_amount between", value1, value2, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andComparedTransportAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("compared_transport_amount not between", value1, value2, "comparedTransportAmount");
            return (Criteria) this;
        }

        public Criteria andDefineErrorIsNull() {
            addCriterion("define_error is null");
            return (Criteria) this;
        }

        public Criteria andDefineErrorIsNotNull() {
            addCriterion("define_error is not null");
            return (Criteria) this;
        }

        public Criteria andDefineErrorEqualTo(Integer value) {
            addCriterion("define_error =", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorNotEqualTo(Integer value) {
            addCriterion("define_error <>", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorGreaterThan(Integer value) {
            addCriterion("define_error >", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorGreaterThanOrEqualTo(Integer value) {
            addCriterion("define_error >=", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorLessThan(Integer value) {
            addCriterion("define_error <", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorLessThanOrEqualTo(Integer value) {
            addCriterion("define_error <=", value, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorIn(List<Integer> values) {
            addCriterion("define_error in", values, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorNotIn(List<Integer> values) {
            addCriterion("define_error not in", values, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorBetween(Integer value1, Integer value2) {
            addCriterion("define_error between", value1, value2, "defineError");
            return (Criteria) this;
        }

        public Criteria andDefineErrorNotBetween(Integer value1, Integer value2) {
            addCriterion("define_error not between", value1, value2, "defineError");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierIsNull() {
            addCriterion("order_accounting_state_supplier is null");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierIsNotNull() {
            addCriterion("order_accounting_state_supplier is not null");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierEqualTo(Integer value) {
            addCriterion("order_accounting_state_supplier =", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierNotEqualTo(Integer value) {
            addCriterion("order_accounting_state_supplier <>", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierGreaterThan(Integer value) {
            addCriterion("order_accounting_state_supplier >", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_accounting_state_supplier >=", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierLessThan(Integer value) {
            addCriterion("order_accounting_state_supplier <", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierLessThanOrEqualTo(Integer value) {
            addCriterion("order_accounting_state_supplier <=", value, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierIn(List<Integer> values) {
            addCriterion("order_accounting_state_supplier in", values, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierNotIn(List<Integer> values) {
            addCriterion("order_accounting_state_supplier not in", values, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierBetween(Integer value1, Integer value2) {
            addCriterion("order_accounting_state_supplier between", value1, value2, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andOrderAccountingStateSupplierNotBetween(Integer value1, Integer value2) {
            addCriterion("order_accounting_state_supplier not between", value1, value2, "orderAccountingStateSupplier");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1IsNull() {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1IsNotNull() {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1EqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 =", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1NotEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 <>", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1GreaterThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 >", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1GreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 >=", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1LessThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 <", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1LessThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 <=", value, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1In(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 in", values, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1NotIn(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 not in", values, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1Between(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 between", value1, value2, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEqMinus1NotBetween(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_minus_1 not between", value1, value2, "goodsAccountingStateSupplierEqMinus1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2IsNull() {
            addCriterion("goods_accounting_state_supplier_eq_2 is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2IsNotNull() {
            addCriterion("goods_accounting_state_supplier_eq_2 is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2EqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 =", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2NotEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 <>", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2GreaterThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 >", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2GreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 >=", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2LessThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 <", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2LessThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_2 <=", value, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2In(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_2 in", values, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2NotIn(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_2 not in", values, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2Between(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_2 between", value1, value2, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq2NotBetween(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_2 not between", value1, value2, "goodsAccountingStateSupplierEq2");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1IsNull() {
            addCriterion("goods_accounting_state_supplier_eq_1 is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1IsNotNull() {
            addCriterion("goods_accounting_state_supplier_eq_1 is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1EqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 =", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1NotEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 <>", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1GreaterThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 >", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1GreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 >=", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1LessThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 <", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1LessThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_1 <=", value, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1In(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_1 in", values, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1NotIn(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_1 not in", values, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1Between(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_1 between", value1, value2, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq1NotBetween(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_1 not between", value1, value2, "goodsAccountingStateSupplierEq1");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4IsNull() {
            addCriterion("goods_accounting_state_supplier_eq_4 is null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4IsNotNull() {
            addCriterion("goods_accounting_state_supplier_eq_4 is not null");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4EqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 =", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4NotEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 <>", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4GreaterThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 >", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4GreaterThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 >=", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4LessThan(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 <", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4LessThanOrEqualTo(Integer value) {
            addCriterion("goods_accounting_state_supplier_eq_4 <=", value, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4In(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_4 in", values, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4NotIn(List<Integer> values) {
            addCriterion("goods_accounting_state_supplier_eq_4 not in", values, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4Between(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_4 between", value1, value2, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andGoodsAccountingStateSupplierEq4NotBetween(Integer value1, Integer value2) {
            addCriterion("goods_accounting_state_supplier_eq_4 not between", value1, value2, "goodsAccountingStateSupplierEq4");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityIsNull() {
            addCriterion("order_goods_item_quantity is null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityIsNotNull() {
            addCriterion("order_goods_item_quantity is not null");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityEqualTo(Integer value) {
            addCriterion("order_goods_item_quantity =", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityNotEqualTo(Integer value) {
            addCriterion("order_goods_item_quantity <>", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityGreaterThan(Integer value) {
            addCriterion("order_goods_item_quantity >", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityGreaterThanOrEqualTo(Integer value) {
            addCriterion("order_goods_item_quantity >=", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityLessThan(Integer value) {
            addCriterion("order_goods_item_quantity <", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityLessThanOrEqualTo(Integer value) {
            addCriterion("order_goods_item_quantity <=", value, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityIn(List<Integer> values) {
            addCriterion("order_goods_item_quantity in", values, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityNotIn(List<Integer> values) {
            addCriterion("order_goods_item_quantity not in", values, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityBetween(Integer value1, Integer value2) {
            addCriterion("order_goods_item_quantity between", value1, value2, "orderGoodsItemQuantity");
            return (Criteria) this;
        }

        public Criteria andOrderGoodsItemQuantityNotBetween(Integer value1, Integer value2) {
            addCriterion("order_goods_item_quantity not between", value1, value2, "orderGoodsItemQuantity");
            return (Criteria) this;
        }
    }

    /**
    accounting_unified_supplier_order_jd_check_up_report
     *
     * @mbg.generated do_not_delete_during_merge Mon Jul 04 18:14:40 CST 2022
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
    accounting_unified_supplier_order_jd_check_up_report
     *
     * @mbg.generated Mon Jul 04 18:14:40 CST 2022
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}